%define fontname kiloji
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name:             TrueType-%{fontname}
Summary:          kiloji font - Handwriting-like general styles
Summary(ja):      手書き風総合書体 きろ字フォント
Version:          2.1.0
Release:          1%{?_dist_release}
License:          New BSD
Group:            User Interface/X
URL:              http://www.ez0.net/distribution/font/%{fontname}/

Source0:          %{fontname}_%{version}.zip
Source1:          %{fontname}_b%{version}.zip
Source2:          %{fontname}_d%{version}.zip
Source3:          %{fontname}_p%{version}.zip

Requires:         %{name}-doc >= %{version}

BuildRequires:    unzip
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildArch:        noarch

%description
kilo-ji, "kilo" is the author name of these fonts
and "ji" means "characters" in Japanese.
This fonts consists of four styles. 

- kiloji.ttf (kiloji Fixed)
- kiloji_p.ttf (kiloji Proportional)
- kiloji_b.ttf (kiloji Bold)
- kiloji_d.ttf (kiloji Thin)

%description -l ja
きろ字の "kilo" とはこれらのフォントの作者の名前であり、
"ji" は 日本語で "文字" を意味します。
このフォントは4種の書体から成っています。 

- kiloji.ttf（等幅）
- kiloji_p.ttf （プロポーショナル）
- kiloji_b.ttf （太字）
- kiloji_d.ttf （細字）

このパッケージはきろ字フォントのメタパッケージです。
上記4書体すべてをインストールします。

%package fixed
Summary: kiloji fonts (fixed)
Summary(ja): きろ字フォント（等幅）
Group: User Interface/X
Requires: TrueType-kiloji-doc

%description fixed
This package includes kiloji TrueType fonts (fixed).

%description -l ja fixed
このパッケージにはきろ字フォント（等幅）が含まれています。

%package proportional
Summary: kiloji fonts (proportional)
Summary(ja): きろ字フォント（プロポーショナル）
Group: User Interface/X
Requires: TrueType-kiloji-doc

%description proportional
This package includes kiloji TrueType fonts (proportional).

%description -l ja proportional
このパッケージにはきろ字フォント（プロポーショナル）が含まれています。

%package bold
Summary: kiloji fonts (bold)
Summary(ja): きろ字フォント（太字）
Group: User Interface/X
Requires: TrueType-kiloji-doc

%description bold
This package includes kiloji TrueType fonts (bold).

%description -l ja bold
このパッケージにはきろ字フォント（太字）が含まれています。

%package thin
Summary: kiloji fonts (thin)
Summary(ja): きろ字フォント（細字）
Group: User Interface/X
Requires: TrueType-kiloji-doc

%description thin
This package includes kiloji TrueType fonts (thin).

%description -l ja thin
このパッケージにはきろ字フォント（細字）が含まれています。

%package doc
Summary: kiloji fonts Documents
Summary(ja): きろ字フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for kiloji fonts includes enduser
license.

%description -l ja doc
このパッケージにはきろ字フォントのライセンスを含むドキュメント類が含まれています。


%prep
%setup -q -c -T

%{_bindir}/unzip -oq %{SOURCE0}
%{_bindir}/unzip -oq %{SOURCE1}
%{_bindir}/unzip -oq %{SOURCE2}
%{_bindir}/unzip -oq %{SOURCE3}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post fixed
%__font_install_post %{_fontdir}

%post proportional
%__font_install_post %{_fontdir}

%post bold
%__font_install_post %{_fontdir}

%post thin
%__font_install_post %{_fontdir}


%postun fixed
%__font_install_postun %{_fontdir}

%postun proportional
%__font_install_postun %{_fontdir}

%postun bold
%__font_install_postun %{_fontdir}

%postun thin
%__font_install_postun %{_fontdir}

%files

%files fixed
%{_fontdir}/%{fontname}.ttf

%files proportional
%{_fontdir}/%{fontname}_p.ttf

%files bold
%{_fontdir}/%{fontname}_b.ttf

%files thin
%{_fontdir}/%{fontname}_d.ttf

%files doc
%doc Collecting.txt License.txt

%changelog
* Wed Sep 30 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.1.0-1
- initial build for VineSeed
